For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
RegisterLoginSandbox Login
GuidesRecipesAPI Reference
GuidesRecipesAPI Reference
  • API Reference
      • POSTACH Checkout
      • POSTApple Pay Checkout
      • GETApple Pay Validate Merchant
      • POSTCapture Payment
      • POSTCard Checkout
      • POSTCard on File Authorized
      • POSTCard On File Checkout
      • POSTCash App Checkout
      • POSTCreate Pix Payment
      • POSTCrypto Payin
      • POSTGet Checkout Jwt Token
      • POSTGet Checkout Link
      • POSTGet Destination Auth Key
      • POSTGet Interchange Fees
      • GETGet supported chains and tokens
      • POSTGet Totals
      • POSTGet USDC Authorization Message (EVM only)
      • POSTGoogle Pay Checkout
      • POSTMerchant Initiated Transaction
      • POSTRain Checkout
      • PUTReview Payment Protection
      • POSTSaved Card Checkout
      • POSTSepa/Faster Payments Checkout (New Account)
      • POSTSepa/Faster Payments Checkout (Saved Account)
      • POSTUS Wire Domestic Payments Checkout (New Account)
      • POSTUS Wire Domestic Payments Checkout (Saved Account)
      • POSTVoid Payment
      • POSTZero Authorization
    • POSTGets USDC/SBC/EuroE on testnets
LogoLogo
RegisterLoginSandbox Login
API ReferenceCheckout

Get Interchange Fees

POST
https://api-sandbox.coinflow.cash/api/checkout/fees
POST
/api/checkout/fees
$curl -X POST https://api-sandbox.coinflow.cash/api/checkout/fees \
> -H "x-coinflow-auth-session-key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "merchantId": "merchant_987654321",
> "subtotal": {
> "cents": 2599,
> "currency": "USD"
> }
>}'
200Successful
1{
2 "card": {
3 "cents": 78,
4 "currency": "USD"
5 },
6 "ach": {
7 "cents": 15,
8 "currency": "USD"
9 },
10 "fasterPayments": {
11 "cents": 20,
12 "currency": "USD"
13 },
14 "sepa": {
15 "cents": 18,
16 "currency": "EUR"
17 },
18 "pix": {
19 "cents": 10,
20 "currency": "BRL"
21 },
22 "usdc": {
23 "cents": 5,
24 "currency": "USD"
25 },
26 "googlePay": {
27 "cents": 78,
28 "currency": "USD"
29 },
30 "applePay": {
31 "cents": 78,
32 "currency": "USD"
33 },
34 "credits": {
35 "cents": 0,
36 "currency": "USD"
37 },
38 "crypto": {
39 "cents": 50,
40 "currency": "USD"
41 },
42 "wire": {
43 "cents": 250,
44 "currency": "USD"
45 },
46 "cashApp": {
47 "cents": 60,
48 "currency": "USD"
49 },
50 "rain": {
51 "cents": 40,
52 "currency": "USD"
53 }
54}

Gets the breakdown of possible fees

It is unlikely you will be calling this endpoint. Only call if you want to see the fee breakdown for all payment methods ex: Debit vs. Credit. If you are trying to display all possible fees (including gas) broken down by line item and the final total amount, call the “Get Totals” endpoint.

Was this page helpful?
Previous

Get supported chains and tokens

Next
Built with

Authentication

x-coinflow-auth-session-keystring
The session key generated for the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
OR
x-coinflow-auth-walletstring
The web3 wallet of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
x-coinflow-auth-blockchainstring
The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Request

This endpoint expects an object.
merchantIdstringRequired
The merchant identifier
subtotalobjectRequired
presentmentenumOptional
binstringOptional

The Bin of the card (for exact fees)

Response

Ok
cardobject or list of objects
achobject or list of objects
fasterPaymentsobject or list of objects
sepaobject or list of objects
pixobject or list of objects
usdcobject or list of objects
googlePayobject or list of objects
applePayobject or list of objects
creditsobject or list of objects
cryptoobject or list of objects
wireobject or list of objects
cashAppobject or list of objects
rainobject or list of objects

The session key generated for the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The web3 wallet of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key